Skip to main content
GET
Get dashboard

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
reporting.full.read

Parámetros de ruta

dashboardId
integer<int64>
requerido

The ID of the dashboard to retrieve.

Parámetros de consulta

archived
boolean
predeterminado:false

Whether to retrieve an archived dashboard instead of an active one. Default false.

properties
string[]

Additionally properties to include in the response. Refer to the response details for available fields.

Respuesta

successful operation

archived
boolean
requerido

Whether the dashboard is archived.

businessUnitId
string
requerido

The ID of the business unit that the dashboard is associated with.

createdAt
string<date-time>
requerido

The date and time when the dashboard was created, in ISO 8601 format.

id
string
requerido

The ID of the dashboard.

name
string
requerido

The name of the dashboard.

updatedAt
string<date-time>
requerido

The date and time when the dashboard was last updated, in ISO 8601 format.

archivedAt
string<date-time>

If the dashboard is archived, the date and time when the dashboard was archived, in ISO 8601 format. Absent if the dashboard is not archived.

createdByUserId
string

The ID of the user who created the dashboard. May be absent.

description
string

A description of the dashboard. May be absent.

lastViewedAt
string<date-time>

The date and time when the dashboard was last viewed, in ISO 8601 format. Absent if it has not been viewed yet.

lastViewedByUserId
string

The ID of the user who last viewed the dashboard. Absent if it has not been viewed yet.

ownerUserId
string

The ID of the user who owns the dashboard. Absent if the dashboard is currently unowned.

permissions
object
tags
object[]

Array of objects representing the tags that the dashboard is tagged with.

Only returned when requested by including the tags field in the properties query parameter.

updatedByUserId
string

The ID of the user who last updated the dashboard. May be absent.

widgets
object[]

An array of objects representing the widgets on the dashboard.

Only returned when requested by including the widgets field in the properties query parameter.

Última modificación el 6 de octubre de 2026